MG VR & AR App’s

BELOW ARE THE APP’s WE HAVE CREATED

 

 

 

Do you need specific devices to use VR with the headsets?

Requires iOS 8.0 or later (on an iPhone) which tends to be models purchased after 2016.  With Android you will need devices that are 4.1 and up.  Alternatively, please feel free to book us and we will come and deliver a session using our devices.